- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# complete.hh File Reference

Completion algorithm for deterministic and Boolean automaton. More...

Include dependency graph for complete.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<typename A, typename T>
void | complete_here (Element< A, T > &a)
| Make the transition function of an automaton total w.r.t alphabet.
template<typename A, typename T>
Element< A, T > | complete (const Element< A, T > &a)
| Make the transition function of an automaton total w.r.t alphabet.
template<class A, class T>
bool | is_complete (const Element< A, T > &a)
| Test if the transition function is complete for each state.

## Detailed Description

Completion algorithm for deterministic and Boolean automaton.

See also:
  complete(), complete_here(), is_complete()

Definition in file complete.hh.